Bug 74664 - Data Analysis Toolkit - Fourier Analysis
Summary: Data Analysis Toolkit - Fourier Analysis
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Dennis Francis
URL:
Whiteboard: target:6.3.0
Keywords:
Depends on:
Blocks: Calc-Enhancements
  Show dependency treegraph
 
Reported: 2014-02-07 12:14 UTC by Tomaz Vajngerl
Modified: 2019-03-01 07:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2014-02-07 12:14:45 UTC
Add missing "Fourier Analysis" function from Data Analysis Toolkit.
Comment 1 zaxebo zaxebo 2015-01-31 02:52:29 UTC
this issue was sponsored at 
https://freedomsponsors.org/issue/626/data-analysis-toolkit-fourier-analysis

if anybody solves this in entirety so that it can be merged with libreoffice 4.5 release , then i will pay him an amount mentioned at this sponsoring url
Comment 3 Andrey Skvortsov 2016-07-11 06:38:17 UTC
I care about getting this fixed, so I'm offering USD 15.00000000 via FreedomSponsors to the first person who fix it.

Offer link: https://freedomsponsors.org/issue/626/data-analysis-toolkit-fourier-analysis

You can also join me and throw in a few bucks there and we'll get it fixed faster :)
					
If you fix this issue (see my acceptance criteria there) please use that site to request your payment.
Comment 4 Xisco Faulí 2017-07-13 12:37:59 UTC
Setting Assignee back to default. Please assign it back to yourself if you're
still working on this issue
Comment 5 Commit Notification 2019-02-19 11:36:01 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/32d9f7a632e1df1b6d5ac32a88b2b88c042e91ff%5E%21

tdf#74664 : Adds FOURIER() formula

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-02-19 12:13:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/339c81e44b4d66307a43f8eb11c35220adf24fcb%5E%21

BIFF return class A for Array, tdf#74664 follow-up

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-02-20 06:15:59 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fd7f542c1342bdcab35c5186b629d57467bf832c%5E%21

tdf#74664 : Compute the phase correctly using atan2

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-02-20 06:16:07 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d707a5e64ba53ddb7669cca725915527aa788a6b%5E%21

tdf#74664 : optimize the computation of twiddle factors.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Dennis Francis 2019-02-20 06:26:50 UTC
Yet to add the UI (Fourier Analysis toolkit), so no status change.
Comment 10 Commit Notification 2019-02-24 14:20:34 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3df43eb0f0a9c3c826eaa330a4099e0024f49f8d%5E%21

tdf#74664 : Unit test for FOURIER formula

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Roman Kuznetsov 2019-02-24 19:08:28 UTC
(In reply to Dennis Francis from comment #9)
> Yet to add the UI (Fourier Analysis toolkit), so no status change.

Dennis, it will be work as formula for some cell range or only from different dialog?
Comment 12 Dennis Francis 2019-02-24 19:40:11 UTC
(In reply to Roman Kuznetsov from comment #11)
> (In reply to Dennis Francis from comment #9)
> > Yet to add the UI (Fourier Analysis toolkit), so no status change.
> 
> Dennis, it will be work as formula for some cell range or only from
> different dialog?

Currently an array formula(FOURIER()) is implemented, that takes data range and other parameters. The syntax is explained in the commit message : https://git.libreoffice.org/core/+/32d9f7a632e1df1b6d5ac32a88b2b88c042e91ff%5E%21
and also at https://dennisfrancis.wordpress.com/2019/02/19/discrete-fourier-transform-in-calc/

Ultimately the aim is to implement a dialog called Fourier Analysis from the menu "Data" > "Statistics" which is what the feature request wants. This dialog will make use of the FOURIER() formula to compute the results.